#Nakresli graf porovnavajici ruzne slozitosti
import matplotlib.pyplot as plt
import numpy as np

def plot_complexity_graphs():
  t=np.arange(1.,101.)
  n=len(t)
  plt.figure(1)
  plt.plot(t,np.ones(n)*1.,label="konstantní",linewidth=3)
  plt.plot(t,np.log(t),label="logaritmický",linewidth=3)
  plt.plot(t,t,label="lineární",linewidth=3)
  plt.plot(t,t*np.log(t),label="n log(n)",linewidth=3)
  plt.plot(t,t**2,label="kvadratický",linewidth=3)
  plt.plot(t,t**3,label="kubický",linewidth=3)
  plt.plot(t,3**t,label="exponenciální",linewidth=3)
  plt.axis([1.,100.,0.,10000.])
  plt.xlabel('n')
  plt.ylabel('time')
  plt.legend(loc='upper right')
  plt.savefig("complexity_graph.pdf")
  plt.show()


if __name__=="__main__":
  plot_complexity_graphs()  

